Subject: [Ipsec] Need clarification on IKEv2 CP vs. MIPv4 IP address assignment

From: "Dondeti, Lakshminath" <[email-masked]>
Date: Mon, 11 Jul 2005 21:30:59 -0700

Hi,

I was told that this issue came up in a 3GPP2-WLAN Interworking discussion and is related to a conflict between IKEv2-CP address assignment vs. MIPv4 IP address assignment.  The IKEv2 spec seems to say different things at different places, so a clarification might help (perhaps in the ikev2-clarifications I-D).

Some details below:  In interpreting the CP requirements, the following two excerpts from IKEv2 seem to take differing precedence for different people.

Section 2.19, Page 34 of ikev2-17 says: "CP(CFG_REQUEST) MUST contain at least an INTERNAL_ADDRESS attribute (either IPv4 or IPv6) but MAY contain any number of additional attributes the initiator wants returned in the response."

Section 4, Page 85 says:

"Implementations are not required to support requesting temporary IP addresses or responding to such requests. If an implementation does support issuing such requests, it MUST include a CP payload in message 3 containing at least a field of type INTERNAL_IP4_ADDRESS or INTERNAL_IP6_ADDRESS. All other fields are optional. If an implementation supports responding to such requests, it MUST parse the CP payload of type CFG_REQUEST in message 3 and recognize a field of type INTERNAL_IP4_ADDRESS or INTERNAL_IP6_ADDRESS. If it supports leasing an address of the appropriate type, it MUST return a CP payload of type CFG_REPLY containing an address of the requested type. The responder SHOULD include all of the other related attributes if it has them."

In case of MIPv4, if a VPN gateway is also a FA, assuming all address assignment is taken care of within MIPv4, can other protocol specifications (e.g., 3GPP2 specs) using IKEv2 assume that compliant implementations do not have to support CP-based address assignment?

I am also concerned about a RAS sending a FAILED_CP_REQUIRED to a client that wants to use MIPv4 based address assignment and not the CP-based address assignment.

Thoughts and comments welcome.  Thanks in advance.

best regards,
Lakshminath

_______________________________________________
Ipsec mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipsec